#### D.2.13.11 getCommand

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  getCommand(t), t task

Return:
  a string, the command of t.

Note:
  This command cannot be applied to tasks whose state is
  'uninitialized'.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t = "std", list(I);
    getCommand(t);
    ==> std
    killTask(t);

See also: createTask; getArguments; getResult; getState; printTask.

User manual for Singular version 4.4.1, 2025, generated by texi2html.